diff --git a/crates/call/Cargo.toml b/crates/call/Cargo.toml
index 9ba10e56ba..bb69440691 100644
--- a/crates/call/Cargo.toml
+++ b/crates/call/Cargo.toml
@@ -41,10 +41,10 @@ serde_derive.workspace = true
 telemetry.workspace = true
 util.workspace = true
 
-[target.'cfg(target_os = "macos")'.dependencies]
+[target.'cfg(any())'.dependencies]
 livekit_client_macos = { workspace = true }
 
-[target.'cfg(not(target_os = "macos"))'.dependencies]
+[target.'cfg(all())'.dependencies]
 livekit_client = { workspace = true }
 
 [dev-dependencies]
diff --git a/crates/call/src/call.rs b/crates/call/src/call.rs
index 5e212d35b7..a8f9e8f43e 100644
--- a/crates/call/src/call.rs
+++ b/crates/call/src/call.rs
@@ -1,13 +1,13 @@
 pub mod call_settings;
 
-#[cfg(target_os = "macos")]
+#[cfg(any())]
 mod macos;
 
-#[cfg(target_os = "macos")]
+#[cfg(any())]
 pub use macos::*;
 
-#[cfg(not(target_os = "macos"))]
+#[cfg(all())]
 mod cross_platform;
 
-#[cfg(not(target_os = "macos"))]
+#[cfg(all())]
 pub use cross_platform::*;
diff --git a/crates/workspace/src/shared_screen.rs b/crates/workspace/src/shared_screen.rs
index 1d17cfa145..f845234987 100644
--- a/crates/workspace/src/shared_screen.rs
+++ b/crates/workspace/src/shared_screen.rs
@@ -1,11 +1,11 @@
-#[cfg(target_os = "macos")]
+#[cfg(any())]
 mod macos;
 
-#[cfg(target_os = "macos")]
+#[cfg(any())]
 pub use macos::*;
 
-#[cfg(not(target_os = "macos"))]
+#[cfg(all())]
 mod cross_platform;
 
-#[cfg(not(target_os = "macos"))]
+#[cfg(all())]
 pub use cross_platform::*;
